commit:     ee09ac18069385f0ea815ad3a76e85442159734c
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sat Feb 28 14:30:35 2026 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sat Feb 28 14:30:35 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ee09ac18

phosh-base/phosh-shell: add 0.52.0, drop 0.49.0

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 phosh-base/phosh-shell/Manifest                    |  4 +-
 ...ell-0.49.0.ebuild => phosh-shell-0.52.0.ebuild} | 58 ++++++++++++++++++----
 2 files changed, 49 insertions(+), 13 deletions(-)

diff --git a/phosh-base/phosh-shell/Manifest b/phosh-base/phosh-shell/Manifest
index 14a2b725ad..5e5db4c9cf 100644
--- a/phosh-base/phosh-shell/Manifest
+++ b/phosh-base/phosh-shell/Manifest
@@ -1,6 +1,6 @@
-DIST phosh-0.49.0.tar.xz 1048056 BLAKE2B 
03df719cbcb95a1378b8f45c8a21dffcc188e4dfb43147b57e90edfe9be1321db56ae3dca2071365b4227b549bdddceecdeddaf3fe26d6168c82f0398ade9d19
 SHA512 
103fd004c3f9cd534842c52720dedd9faa83f6c16abf6b6a1b7af905fe992159ba3a5b6d0be40c75799c8cc492d484f07638fede1161257e504c9d65ccbb2afb
-DIST phosh-0.49.0.tar.xz.asc 833 BLAKE2B 
c9dd9ea6d3c11be14b7a1aecfeeb3bf083140f96e98bb2376cb951b0e3f1383c29e99ec6a6fe29fbd5674b5521977023dc40c381eb9d8c2a6159c06726617c03
 SHA512 
f4cfc61a73b5a8bbd9de67228a2d7beb4bf37632480d3be477b6ba5af1c9646cec8ca0c15570cc7de2c8f83d3403c4549ff7a232ebf98b04ba1aa62e1d077d36
 DIST phosh-0.50.1.tar.xz 1108616 BLAKE2B 
3450c6df5059d5206bbfe7424d7efa24dced1f57a44d31cc68c105c16fe4b5d692c2ccdbf2b8f6911496b377682750f9cdb209f28e615e36d954e561d2509f94
 SHA512 
d9b4d05ecc7d287d75d514e1dc78e308d0e551486cb38e95ab645615469d1a84c5bd1ec2d98a5501f0f97eef0385aa82d96393bad4bd01e7cf7508c014b7af40
 DIST phosh-0.50.1.tar.xz.asc 833 BLAKE2B 
35deb05b7333bd149326d99a4e59a96b985a69362f02549ce7c98df31905cf13af9fd76af62ff0511616590f81df84b8f9b912b1ab40d90f821372b4642c4bc0
 SHA512 
ab57dbd89838fe2d5b14046a44d296a854e3d0077a7014cbb690efa7be0af1b989fb875cba0d5262eeed1bb2d104410a412de9cb4c0a9a966518260cb0af8937
 DIST phosh-0.51.0.tar.xz 1130536 BLAKE2B 
fccc60f86ed0e3b8664092a90ed209473f671e9f6a0b10805fae295a0910aeb9d50cbbed1e62d91a8c88642195e43b19f5d83b068f3339eb83e209a8c50f36e7
 SHA512 
81dcdbd87c579e34d7ca94ec4694701318bd062afd4cf299e224a3d502e2dc5141bbadbc5483d7b40cc1f6791b76418fe230fdb792850b11916499a9d267ee9d
 DIST phosh-0.51.0.tar.xz.asc 833 BLAKE2B 
1ab4173ead4e15b9bc18cdf61c4670b5836c378c5f83c09847a839d7c9c5d81e19d7bc82bff573a447e71457c830f2e077417d370f27aadf4d5d707be8ffcb2b
 SHA512 
453e4a846fccc8d8150ad00188ef687da35a6e991ca91a594026a3f1af70d1941fb1409a7ebf9341452d88b350c70c85d37421083a68d858bc26f40b4cdb5fe0
+DIST phosh-0.52.0.tar.xz 1142096 BLAKE2B 
79d4cb6602bac8196433a44f229a38ba1156cc59646e19d675847013f4b36121bb1144015dc47271b3cfd7578a1a98deed0911ce142310726dab6fad63518a16
 SHA512 
5b345961e19e171c7d898afd64d5d704f760705e5ecbcbc366434d819cc9c66a828da4c3df1130ac0462db47024b8d9197cd08e9cd181c9a5e6ab60069ec63a3
+DIST phosh-0.52.0.tar.xz.asc 833 BLAKE2B 
110b4ae2fafb8d82d7fea6def983784681dc36eda43d88c7314ae01a8b68fbf0ef6a58a85cdfb859ee43613b9c7d27b947c772fdf13d402fcd2909d44b146661
 SHA512 
45e0544b44aacdc66ac855fcf2464be45fa0699d7bc73513d66155906f69abfe73d78d025c1851d3264a75549be2d0c5e32e089f8b582b9990d5c2e1fc78f743

diff --git a/phosh-base/phosh-shell/phosh-shell-0.49.0.ebuild 
b/phosh-base/phosh-shell/phosh-shell-0.52.0.ebuild
similarity index 70%
rename from phosh-base/phosh-shell/phosh-shell-0.49.0.ebuild
rename to phosh-base/phosh-shell/phosh-shell-0.52.0.ebuild
index 0af859dda5..9b017f6f18 100644
--- a/phosh-base/phosh-shell/phosh-shell-0.49.0.ebuild
+++ b/phosh-base/phosh-shell/phosh-shell-0.52.0.ebuild
@@ -1,9 +1,11 @@
-# Copyright 2021-2025 Gentoo Authors
+# Copyright 2021-2026 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-inherit gnome2-utils meson pam systemd toolchain-funcs vala verify-sig 
virtualx xdg
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit gnome2-utils meson pam python-any-r1 systemd toolchain-funcs vala 
verify-sig virtualx xdg
 
 MY_PN="${PN%-shell}"
 MY_P="${MY_PN}-${PV}"
@@ -20,7 +22,7 @@ IUSE="gtk-doc introspection +lockscreen-plugins man +plugins 
systemd test test-f
 REQUIRED_USE="
        gtk-doc? ( introspection )
        lockscreen-plugins? ( plugins )
-       test? ( plugins lockscreen-plugins )
+       test? ( plugins lockscreen-plugins test-full )
        vala? ( introspection )
 "
 
@@ -30,7 +32,7 @@ COMMON_DEPEND="
        >=dev-libs/appstream-1.0.0:=
        >=dev-libs/feedbackd-0.7.0
        dev-libs/fribidi
-       >=dev-libs/glib-2.76:2
+       >=dev-libs/glib-2.80:2
        dev-libs/gmobile
        dev-libs/libgudev:=
        dev-libs/libical:=
@@ -56,6 +58,7 @@ COMMON_DEPEND="
        systemd? ( >=sys-apps/systemd-241:= )
        !systemd? ( >=sys-auth/elogind-241 )
        plugins? (
+               dev-libs/qr-code-generator:=
                >=gui-libs/gtk-4.12:4
                >=gui-libs/libadwaita-1.5:1
                lockscreen-plugins? (
@@ -94,21 +97,45 @@ BDEPEND="
        gtk-doc? ( dev-util/gi-docgen )
        introspection? ( dev-libs/gobject-introspection )
        man? ( dev-python/docutils )
-       test-full? ( >=gui-wm/phoc-0.45.0 )
-       verify-sig? ( sec-keys/openpgp-keys-phosh )
+       test-full? (
+               dev-util/umockdev
+               gui-apps/wlr-randr
+               >=gui-wm/phoc-0.45.0
+               net-misc/networkmanager[tools]
+               $(python_gen_any_dep '
+                       dev-python/dbus-python[${PYTHON_USEDEP}]
+                       dev-python/pygobject[${PYTHON_USEDEP}]
+                       dev-python/pytest[${PYTHON_USEDEP}]
+                       dev-python/python-dbusmock[${PYTHON_USEDEP}]
+               ')
+       )
+       verify-sig? ( >=sec-keys/openpgp-keys-phosh-2025 )
 "
 
-PATCHES=( "${FILESDIR}"/${PN}-0.49.0-fix-test-source-root.patch )
+EPYTEST_PLUGINS=()
 
 VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/openpgp-keys/phosh.asc"
 
-# https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1240
-# https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/1733
-RESTRICT="test"
+python_check_deps() {
+       python_has_version -b "dev-python/dbus-python[${PYTHON_USEDEP}]" &&
+       python_has_version -b "dev-python/pygobject[${PYTHON_USEDEP}]" &&
+       python_has_version -b "dev-python/pytest[${PYTHON_USEDEP}]" &&
+       python_has_version -b "dev-python/python-dbusmock[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+       use test-full && python-any-r1_pkg_setup
+}
 
 src_prepare() {
        use vala && vala_setup
        default
+
+       sed "/^set -e/d; /^exec /d" -i tests/integration/run-pytest.in || die
+
+       # fixes "Unable to open wayland socket: File name too long"
+       sed "/self.tmpdir =/ { s:topbuilddir:'${T}': }" \
+               -i tests/integration/__init__.py || die
 }
 
 src_configure() {
@@ -135,10 +162,19 @@ src_test() {
                local -x WLR_RENDERER="pixman"
                local -x PHOSH_TEST_PHOC_INI="${T}/phoc.ini"
 
-               meson_src_test --suite unit || return 1
+               # XXX: app-grid-button tests segfaults
+               # https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1240
+               # https://github.com/ximion/appstream/issues/720
+               #meson_src_test --suite unit || return 1
+
                if use test-full; then
                        meson_src_test --suite integration --timeout-multiplier 
2 || return 1
                fi
+
+               source "${BUILD_DIR}"/tests/integration/run-pytest || return 1
+               ewarn "Some tests might fail if umockdev is broken on your 
system"
+               ewarn "See https://bugs.gentoo.org/868204";
+               LD_PRELOAD="libumockdev-preload.so.0:${LD_PRELOAD}" epytest 
tests/integration || return 1
        }
 
        # Xwayland breaks "phosh:integration / shell", pollutes /tmp

Reply via email to